A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
isnan
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Helper functions for arrays

## Functions
array | isNaN (const array &in)
| C++ Interface to check if values are NaN.
af_err | af_isnan (af_array *out, const af_array in)
| C Interface to check if values are NaN.

## Detailed Description

Check if values are NaN.

## Function Documentation

## ◆ af_isnan()

af_err af_isnan | ( | af_array * | out,
|  | const af_array | in )

C Interface to check if values are NaN.

Parameters

  [out] | out | array containing 1's where input is NaN; 0's otherwise
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ isNaN()

array isNaN | ( | const array & | in | ) |

C++ Interface to check if values are NaN.

Parameters

  [in] | in | input

Returns
  array containing 1's where input is NaN; 0's otherwise